Adding a maintenance page to a subdomain¶
Note
If the optional attributes are not set, the system adds a default value.
Note
If your current time is between start and end date the maintenance page will be activated immediately.
Note
In the Myra App the placeholder twitter for X is still used.
Note
The body does not contain the attributes id, created, and modified. The system sets the values of these attributes after the entry is created.
Sends a POST request to the endpoint /domain/{domainId}/{vHostName}/maintenances.
Description¶
The Add-Maintenance-Page request allows the user to add one or more maintenance pages to a subdomain of the organisation.
Requirements¶
Values of the request: Domain-ID {domainId}, Subdomain name {vHostName}
Objects: MaintenanceVO
Request¶
To add a maintenance page, the Domain-ID {domainId} and the Subdomain name {vHostName} need to be added to the path of the HTTP request.
For a detailed specification of which information is required to add a maintenance page, the object MaintenanceVO with the following attributes needs to be defined in the body:
| Attributes | Description | Values |
|---|---|---|
fqdn |
The name of the subdomain to which the maintenance page is assigned. To add a maintenance page for all subdomains, specify ALL-<Domain-ID> or ALL-<domain name> as the values of the attribute. | string |
The following attributes are optional:
| Attributes | Description | Values |
|---|---|---|
start |
The date as ISO 8601 when the maintenance page starts to be enabled. | string($date-time) |
end |
The date as ISO 8601 until the maintenance page is enabled. | string($date-time) |
content |
The content of the maintenance page as HTML. Note that no resources from the subdomain that has been set to maintenance mode can be included. If the maintenance page contains images, use a different domain or inline base64-encoded images. | string |
active |
The availability of the maintenance page. |
|
defaultPage |
An array with defined default pages which should be used instead of an own content page. | Default page generated by Myra, link to an external page such as Facebook or X. One or more default pages can be used. |
vhostId |
The ID of the subdomain to which the maintenance page is assigned. | integer |
The system responds by returning the object MaintenanceVO with the information about the new entry.
Example¶
Example request body:
{
"objectType": "string",
"fqdn": "string",
"start": "string",
"end": "string",
"content": "string",
"contentFrom": "string",
"active": true,
"defaultPage": "string",
"vhostId": 0,
"permissions": "string",
"comment": "string"
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 201 | The request has succeeded and a new object has been created. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |